### Signal

# Gtk Entry::icon-press

since: 4.0

#### Declaration

    void
    icon_press (
      GtkEntry* self,
      GtkEntryIconPosition icon_pos,
      gpointer user_data
    )

#### Description [src]

Emitted when an activatable icon is clicked.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  The position of the clicked icon.